Altimax\Apidae\Core\Entity\SitraSelection:
  type: entity
  table: sitra_selection
  repositoryClass: Altimax\Apidae\Core\Repository\SitraSelection
  indexes:
    fk_selection_langue_idx:
      columns:
        - lang_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    selectionSitraId:
      type: integer
      nullable: false
      unsigned: false
      comment: 'identifiant SITRA de la selection'
      column: selection_sitra_id
    nom:
      type: string
      nullable: true
      length: 200
      fixed: false
      comment: ''
    sitewebid:
      type: integer
      nullable: false
      unsigned: false
      comment: 'Correspond à l''indentifiant sitra du site. Les clients peuvent en avoir plusieurs.'
      column: siteWebId
  manyToMany:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      inversedBy: selection
      fetch: EXTRA_LAZY
      joinTable:
        name: sitra_liaison_objet_selection
        joinColumns:
          selection_id:
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          objet_id:
            referencedColumnName: id
            onDelete: CASCADE
      orderBy: null
  manyToOne:
    lang:
      targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
      cascade: {  }
      mappedBy: null
      inversedBy: null
      joinColumns:
        lang_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }
